Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.lib
Interface OutputURIResolver

All Known Implementing Classes:
  StandardOutputResolver

    public interface OutputURIResolver

This interface defines an OutputURIResolver. This is a counterpart to the JAXP URIResolver, but is used to map the URI of a secondary result document to a Result object which acts as the destination for the new document.

Author:
  Michael H. Kay

Method Summary
`void` | `close(Result result)` Signal completion of the result document.
`Result` | `resolve(String href, String base)` Resolve an output URI.

Method Detail

### resolve

    Result resolve(String href,
                   String base)
                   throws TransformerException

  Resolve an output URI.

  Parameters:
    `href` - The relative URI of the output document. This corresponds to the href attribute of the xsl:result-document instruction.
    `base` - The base URI that should be used. This is the Base Output URI, typically the URI of the principal output document
  Returns:
    a Result object representing the destination for the XML document. The method can also return null, in which case the standard output URI resolver will be used to create a Result object.
  Throws:
    `TransformerException` - if any error occurs

### close

    void close(Result result)
               throws TransformerException

  Signal completion of the result document. This method is called by the system when the result document has been successfully written. It allows the resolver to perform tidy-up actions such as closing output streams, or firing off processes that take this result tree as input. Note that the OutputURIResolver is stateless, so the the original Result object is supplied to identify the document that has been completed.

  Parameters:
    `result` - The result object returned by the previous call of resolve()
  Throws:
    `TransformerException` - if any error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.